Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ConstantUtf8

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantUtf8

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantUtf8

extends Constant

This class is derived from the abstract Constant class and represents a reference to a Utf8 encoded string.

Version:
  $Id: ConstantUtf8.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Method Summary
`String` `getBytes()`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getBytes

    public final String getBytes()

  Returns:
    Data converted to string.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.